package request


type AlibabaWdkMerchantItemUpdateRequest struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" required:"false" `
    /*
        门店编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" required:"false" `
    /*
        修改字段的json     */
    Params  *string `json:"params,omitempty" required:"false" `
}

func (s *AlibabaWdkMerchantItemUpdateRequest) SetSkuCode(v string) *AlibabaWdkMerchantItemUpdateRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkMerchantItemUpdateRequest) SetMerchantCode(v string) *AlibabaWdkMerchantItemUpdateRequest {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaWdkMerchantItemUpdateRequest) SetParams(v string) *AlibabaWdkMerchantItemUpdateRequest {
    s.Params = &v
    return s
}

func (req *AlibabaWdkMerchantItemUpdateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.MerchantCode != nil) {
        paramMap["merchant_code"] = *req.MerchantCode
    }
    if(req.Params != nil) {
        paramMap["params"] = *req.Params
    }
    return paramMap
}

func (req *AlibabaWdkMerchantItemUpdateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}